%define base_name	tcpdf
%define name		php-%{base_name}
%define version		6.0.052
%define version_	%(echo %{version} | tr . _)
%define release		%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PHP class for generating PDF documents
License:	GPLv3
Group:		Development/Other
URL:		http://www.tcpdf.org/
Source:     http://sourceforge.net/projects/tcpdf/files/tcpdf_%{version_}.zip
BuildArch:  noarch

%description
TCPDF is a FLOSS PHP class for generating PDF documents.

%prep
%setup -q -n tcpdf

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_datadir}/php/tcpdf
cp -pr * %{buildroot}%{_datadir}/php/tcpdf
rm -f %{buildroot}%{_datadir}/php/tcpdf/*.TXT
rm -rf %{buildroot}%{_datadir}/php/tcpdf/examples
rm -f %{buildroot}%{_datadir}/php/tcpdf/tools/.htaccess

%files
%doc CHANGELOG.TXT LICENSE.TXT README.TXT examples
%{_datadir}/php/tcpdf


%changelog
* Sat Dec 14 2013 guillomovitch <guillomovitch> 6.0.052-1.mga4
+ Revision: 556763
- new version

* Sat Nov 30 2013 guillomovitch <guillomovitch> 6.0.049-1.mga4
+ Revision: 554141
- new version 6.0.49

* Thu Nov 21 2013 guillomovitch <guillomovitch> 6.0.047-1.mga4
+ Revision: 552137
- new version

* Mon Nov 11 2013 guillomovitch <guillomovitch> 6.0.044-1.mga4
+ Revision: 550487
- new version

* Wed Oct 30 2013 guillomovitch <guillomovitch> 6.0.043-1.mga4
+ Revision: 547920
- new version 6.0.043

* Tue Oct 22 2013 umeabot <umeabot> 6.0.039-2.mga4
+ Revision: 542075
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 guillomovitch <guillomovitch> 6.0.039-1.mga4
+ Revision: 496965
- new version 6.0.039

* Wed Oct 02 2013 guillomovitch <guillomovitch> 6.0.037-1.mga4
+ Revision: 490398
- new version

* Tue Sep 24 2013 guillomovitch <guillomovitch> 6.0.033-1.mga4
+ Revision: 485655
- new version 6.0.33

* Tue Sep 17 2013 guillomovitch <guillomovitch> 6.0.030-1.mga4
+ Revision: 481034
- new version 6.0.30

* Thu Sep 05 2013 guillomovitch <guillomovitch> 6.0.025-1.mga4
+ Revision: 475314
- new version 6.0.025

* Mon Aug 19 2013 guillomovitch <guillomovitch> 6.0.023-2.mga4
+ Revision: 467628
- don't ship .htaccess files in a library

* Fri Aug 09 2013 guillomovitch <guillomovitch> 6.0.023-1.mga4
+ Revision: 464963
- new version

* Fri Jun 28 2013 guillomovitch <guillomovitch> 6.0.020-2.mga4
+ Revision: 448066
- fix license

* Fri Jun 28 2013 guillomovitch <guillomovitch> 6.0.020-1.mga4
+ Revision: 448060
- imported package php-tcpdf

